;InnoSetupVersion=5.2.0

[Setup]
AppName=Ask Toolbar
AppVerName=Ask Toolbar
AppId=Ask Toolbar
AppVersion=4.1.0.2
AppPublisher=Ask.com
AppPublisherURL=http://www.ask.com
AppSupportURL=http://about.ask.com/en/toolbar/toolbarv/faq.html
DefaultDirName={pf}\AskBarDis
OutputBaseFilename=in
Compression=lzma
DisableDirPage=yes
DisableProgramGroupPage=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\bar\Settings\config.dat"; DestDir: "{app}\bar\Settings"; Flags: overwritereadonly 
Source: "{app}\bar\bin\{code_GetDllFilename_{app}\bar\bin\___askBar}"; DestDir: "{app}\bar\bin\{code:GetDllFilename|{app}\bar\bin"; DestName: "<*>askBar}"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{app}\bar\bin\{code_GetDllFilename_{app}\bar\bin\___askPopStp}"; DestDir: "{app}\bar\bin\{code:GetDllFilename|{app}\bar\bin"; DestName: "<*>askPopStp}"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{pf}\AskSearch\bin\DefaultSearch.dll"; DestDir: "{pf}\AskSearch\bin"; Check: "CanInstallDefaultSearchComponent() and IsIEVersion6()"; Flags: uninsneveruninstall regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\chrome.manifest"; DestDir: "{code:GetFFExtensionPath|{tmp}}"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\chrome.manifest.dev"; DestDir: "{code:GetFFExtensionPath|{tmp}}"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\install.rdf"; DestDir: "{code:GetFFExtensionPath|{tmp}}"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\install.rdf.bak"; DestDir: "{code:GetFFExtensionPath|{tmp}}"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\chrome\ajtoolbar.jar"; DestDir: "{code:GetFFExtensionPath|{tmp}}\chrome"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\defaults\preferences\ask.gif"; DestDir: "{code:GetFFExtensionPath|{tmp}}\defaults\preferences"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\defaults\preferences\ask.src"; DestDir: "{code:GetFFExtensionPath|{tmp}}\defaults\preferences"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\defaults\preferences\config.dat"; DestDir: "{code:GetFFExtensionPath|{tmp}}\defaults\preferences"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\defaults\preferences\config.dat.bak"; DestDir: "{code:GetFFExtensionPath|{tmp}}\defaults\preferences"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\defaults\preferences\snipit.js"; DestDir: "{code:GetFFExtensionPath|{tmp}}\defaults\preferences"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\META-INF\manifest.mf"; DestDir: "{code:GetFFExtensionPath|{tmp}}\META-INF"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\META-INF\zigbert.rsa"; DestDir: "{code:GetFFExtensionPath|{tmp}}\META-INF"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{code_GetFFExtensionPath_{tmp}}\META-INF\zigbert.sf"; DestDir: "{code:GetFFExtensionPath|{tmp}}\META-INF"; Check: "CanInstallToolbarComponent()"; Flags: regserver noregerror ignoreversion 
Source: "{pf}\Mozilla Firefox\components\AskSearch.js"; DestDir: "{pf}\Mozilla Firefox\components"; Check: "CanInstallDefaultSearchComponent()"; Flags: uninsneveruninstall overwritereadonly 
Source: "{app}\bar\Settings\GenerateConfig.exe"; DestDir: "{app}\bar\Settings"; Flags: dontcopy 
Source: "{app}\bar\Settings\AskHomePage.exe"; DestDir: "{app}\bar\Settings"; Flags: dontcopy 
Source: "{app}\bar\Settings\JSXPCOMInstaller.exe"; DestDir: "{app}\bar\Settings"; Flags: dontcopy 
Source: "{app}\bar\Settings\FFExtInstallPath.exe"; DestDir: "{app}\bar\Settings"; Flags: dontcopy 
Source: "{app}\bar\Settings\AskHPRPatch.exe"; DestDir: "{app}\bar\Settings"; Flags: dontcopy 
Source: "{app}\bar\bin\psvince.dll"; DestDir: "{app}\bar\bin"; 

[Registry]
Root: HKCU; Subkey: "Software\AskBarDis"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\AppDataLow\AskBarDis\bar"; ValueName: "Init"; ValueType: String; ValueData: "1"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\AppDataLow\AskBarDis\bar"; ValueName: "Maximized"; ValueType: String; ValueData: "1"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\AppDataLow\AskBarDis\bar"; ValueName: "IsInstalled"; ValueType: String; ValueData: "0"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\AppDataLow\AskBarDis\bar"; ValueName: "FFUpgrade"; ValueType: String; ValueData: "0"; Flags: uninsdeletekey 

[UninstallDelete]
Type: filesandordirs; Name: "{app}"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
